Bug 880466 (CVE-2012-5134) - CVE-2012-5134 libxml2: Heap-buffer-underflow in xmlParseAttValueComplex
Summary: CVE-2012-5134 libxml2: Heap-buffer-underflow in xmlParseAttValueComplex
Status: CLOSED ERRATA
Alias: CVE-2012-5134
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20121127,repo...
Keywords: Security
Depends On: 880467 880468 880475 880476 880477 882064 891477 891478 913211
Blocks: 880218 891480
TreeView+ depends on / blocked
 
Reported: 2012-11-27 04:18 UTC by Huzaifa S. Sidhpurwala
Modified: 2015-11-24 15:23 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-25 12:10:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1512 normal SHIPPED_LIVE Important: libxml2 security update 2012-11-29 23:46:57 UTC
Red Hat Product Errata RHSA-2013:0217 normal SHIPPED_LIVE Important: mingw32-libxml2 security update 2013-02-01 00:25:14 UTC

Description Huzaifa S. Sidhpurwala 2012-11-27 04:18:10 UTC
A heap-buffer overflow was found in the way libxml2 decoded certain XML entitites. A remote attacker could provide a specially-crafted XML file, which once opened in an application linked against libxml would cause that application to crash, or, potentially, execute arbitrary code with the privileges of the user running the application.

Reference:
http://googlechromereleases.blogspot.in/2012/11/stable-channel-update.html

Patch:
http://git.gnome.org/browse/libxml2/commit/?id=6a36fbe3b3e001a8a840b5c1fdd81cefc9947f0d

Comment 3 Huzaifa S. Sidhpurwala 2012-11-27 05:00:42 UTC
Created libxml2 tracking bugs for this issue

Affects: fedora-all [bug 880477]

Comment 6 errata-xmlrpc 2012-11-29 18:49:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1512 https://rhn.redhat.com/errata/RHSA-2012-1512.html

Comment 7 Huzaifa S. Sidhpurwala 2012-11-30 03:30:28 UTC
Created mingw32-libxml2 tracking bugs for this issue

Affects: fedora-all [bug 882064]

Comment 12 errata-xmlrpc 2013-01-31 19:33:42 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0217 https://rhn.redhat.com/errata/RHSA-2013-0217.html


Note You need to log in before you can comment on or make changes to this bug.